/**
 * 业务配置
 * */
const url = location.host;
const isDev = process.env.NODE_ENV === 'development' // 开发环境
const isPro = url.includes('huorantech.cn') //正式服

let jumpPath = `${location.origin}/judgmentPoint`
let host = `${location.origin}/`
if (isDev) {
  jumpPath = 'http://192.168.31.125:8087/' // 本地调试-需要启动本地判分点系统
  host = 'http://121.37.12.51/'
  // host = 'https://huorantech.cn/'
  // host = 'http://192.168.31.151:9000/'// 榕
  host = 'http://192.168.31.116:9000/'// 赓
} else if (isPro) {
  jumpPath = 'https://www.huorantech.cn/judgmentPoint/'
}


const Setting = {
    /**
     * 基础配置
     * */
    platformId: 3, // 平台标识，1职站，2数据平台，3中台，4合伙人
    platformSource: 0, // 平台来源(0中台，1职站)
    jumpPath, // 判分点系统跳转路径前缀
    apiBaseURL: host, // 请求路径前缀
    uploadURL: isDev ? 'http://121.37.12.51/' : location.origin + '/', // 阿里云oss域名
    // 平台列表
    platformList: [
        {
            id: 1,
            name: '职站'
        },
        {
            id: 2,
            name: '数据平台'
        },
        {
            id: 3,
            name: '中台'
        }
    ],
    isDev,
    isPro,
    // 是否使用动态路由
    dynamicRoute: true,
    /**
     * @description 默认密码
     */
    initialPassword: '1122aa',
};

export default Setting;
